<?xml version="1.0" encoding="utf-8"?>

<collectorhub>
  <name>BBoxCollector</name>
  <product>phone</product>
  <platform>hisi</platform>
  <dynamicPaths>$AP_LOG_DIR/last_kmsg,$AP_LOG_DIR/fastboot_log,$AP_LOG_DIR/thee_mntn_mem.bin,$AP_LOG_DIR/bl31_mntn_memory.bin,$AP_LOG_DIR/dmesg-ramoops-0,$AP_LOG_DIR/kernel_logbuff.bin,$SUB_LOG_DIR/bbox_split_bin/LPM3.txt,$BASE_LOG_DIR/hisi_diaginfo.log</dynamicPaths>
  <dynamicPathsBeta>$SUB_LOG_DIR/bbox.bin,$AP_LOG_DIR/last_fastboot_log,$SUB_LOG_DIR/bbox_aft.bin,$SUB_LOG_DIR/srecorder.bin,$SUB_LOG_DIR/bbox_split_bin/LPM3</dynamicPathsBeta>
  <dynamicPathsCommercial>$AP_LOG_DIR/last_fastboot_log</dynamicPathsCommercial>
  <collectors>
    <collector>
      <name>PanicCollector</name>
      <eventID>901000002</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>PANIC,AP_S_PANIC,FASTBOOT_S_PANIC,AP_S_NOC,AP_S_TSENSOR0,AP_S_TSENSOR1,G3D_S_G3DTSENSOR,AP_S_COMBINATIONKE</matchKeys>
      <intTimeType>0300</intTimeType>
    </collector>
    <collector>
      <name>HardwareWatchdogCollector</name>
      <eventID>901000003</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>HWWATCHDOG,AP_S_AWDT,LPM3_S_GLOBALWDT</matchKeys>
      <intTimeType>0400</intTimeType>
    </collector>
    <collector>
      <name>UnknownFaultCollector</name>
      <eventID>901000004</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>UNKNOWN,UNDEF,AP_S_ABNORMAL</matchKeys>
      <intTimeType>0500</intTimeType>
    </collector>
    <collector>
      <name>HardwareFaultCollector</name>
      <eventID>901000005</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>HARDWARE_FAULT,AP_S_SMPL,AP_S_PMU,AP_S_DDR_SELFREFLASH,AP_S_DDR_FATAL_INTER,AP_S_DDRC_SEC,AP_S_GPIO,AP_S_MAILBOX,MMC_S_EXCEPTION</matchKeys>
      <intTimeType>0600</intTimeType>
    </collector>
    <collector>
      <name>BootloaderCrashCollector</name>
      <eventID>901000006</eventID>
      <dynamicPaths>$AP_LOG_DIR/fastboot_log</dynamicPaths>
      <matchKeys>BOOTLOADER_CRASH</matchKeys>
    </collector>
    <collector>
      <name>Lpm3ExceptionCollector</name>
      <eventID>901000007</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>LPM3_S_EXCEPTION,LPM3EXCEPTION,LPM3_S_LPMCURST</matchKeys>
      <intTimeType>0600</intTimeType>
    </collector>
    <collector>
      <name>TrustzoneRebootsysCollector</name>
      <eventID>901000008</eventID>
      <dynamicPaths>none</dynamicPaths>
      <matchKeys>TRUSTZONE_REBOOTSYS</matchKeys>
      <intTimeType>0D00</intTimeType>
    </collector>
    <collector>
      <name>ModemCrashCollector</name>
      <eventID>901002000</eventID>
      <dynamicPathsCommercial>$CP_LOG_DIR/reset.log,$CP_LOG_DIR/modem_dump.txt,$CP_LOG_DIR/lphy_dump.txt,$CP_LOG_DIR/nrphy_dump.txt,$CP_LOG_DIR/rfdsp_dump.txt,$CP_LOG_DIR/pde.txt</dynamicPathsCommercial>
      <dynamicPathsBeta>$CP_LOG_DIR/reset.log,$CP_LOG_DIR/modem_dump.bin,$CP_LOG_DIR/lphy_dump.bin,$CP_LOG_DIR/cphy_dtcm.bin,$CP_LOG_DIR/modem_ddr.bin</dynamicPathsBeta>
      <dynamicPaths>$CP_LOG_DIR/phy_dump.txt</dynamicPaths>
      <matchKeys>MODEMCRASH,CP_S_CPTSENSOR,CP_S_EXCEPTION,CP_S_RILD_EXCEPTION,CP_S_3RD_EXCEPTION,CP_S_DRV_EXC,CP_S_PAM_EXC,CP_S_GUAS_EXC,CP_S_CTTF_EXC,CP_S_CAS_EXC,CP_S_CPROC_EXC,CP_S_GUDSP_EXC,CP_S_TLPS_EXC,CP_S_TLDSP_EXC,CP_S_CPHY_EXC,CP_S_IMS_EXC,CP_S_GUCNAS_EXC</matchKeys>
      <intTimeType>0A00</intTimeType>
    </collector>
    <collector>
      <name>ModemRebootsysCollector</name>
      <eventID>901000009</eventID>
      <dynamicPathsCommercial>$CP_LOG_DIR/reset.log,$CP_LOG_DIR/modem_dump.txt,$CP_LOG_DIR/lphy_dump.txt,$CP_LOG_DIR/nrphy_dump.txt,$CP_LOG_DIR/rfdsp_dump.txt,$CP_LOG_DIR/pde.txt</dynamicPathsCommercial>
      <dynamicPathsBeta>$CP_LOG_DIR/reset.log,$CP_LOG_DIR/modem_dump.bin,$CP_LOG_DIR/lphy_dump.bin,$CP_LOG_DIR/cphy_dtcm.bin,$CP_LOG_DIR/modem_ddr.bin</dynamicPathsBeta>
      <matchKeys>MODEM_REBOOTSYS,CP_S_MODEMDMSS,CP_S_MODEMNOC,CP_S_MODEMAP,CP_S_RESETFAIL,CP_S_CPWD,CP_S_NORMALRESET</matchKeys>
      <intTimeType>0A00</intTimeType>
    </collector>
    <collector>
      <name>LongPressCollector</name>
      <eventID>901000010</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>PRESS6S,PRESS10S</matchKeys>
    </collector>
    <collector>
      <name>HifiCrashCollector</name>
      <eventID>901002001</eventID>
      <dynamicPaths>$SUB_LOG_DIR/sochifi_logs/hifi_ddr.bin,$SUB_LOG_DIR/codechifi_logs/codec_ocram.bin,$SUB_LOG_DIR/codechifi_logs/codec_reg.bin,$SUB_LOG_DIR/codechifi_logs/codec_log.bin</dynamicPaths>
      <matchKeys>HIFICRASH,ASP_S_ASPWD,SOCHIFI_S_EXCEPTION,HIFI_S_RESETFAIL,CODECHIFI_S_EXCEPTION</matchKeys>
      <intTimeType>0B00</intTimeType>
    </collector>
    <collector>
      <name>SensorhubCrashCollector</name>
      <eventID>901002002</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>SENSORHUBCRASH,IOM3_S_IOMCURST,IOM3_S_EXCEPTION</matchKeys>
      <intTimeType>0C00</intTimeType>
    </collector>
    <collector>
      <name>TrustzoneCrashCollector</name>
      <eventID>901002003</eventID>
      <dynamicPaths>$BASE_LOG_DIR/running_trace/teeos_logs/last_teemsg</dynamicPaths>
      <matchKeys>TRUSTZONECRASH,TEE_S_EXCEPTION</matchKeys>
      <intTimeType>0D00</intTimeType>
    </collector>
    <collector>
      <name>HiseeCrashCollector</name>
      <eventID>901002004</eventID>
      <dynamicPaths>$SUB_LOG_DIR/hisee_log</dynamicPaths>
      <matchKeys>HISEECRASH,HISEE_S_EXCEPTION,GENERAL_SEE_S_EXCEPTION,GENERAL_SEE_CRASH</matchKeys>
      <intTimeType>0E00</intTimeType>
    </collector>
    <collector>
      <name>WcnssCrashCollector</name>
      <eventID>901002005</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>CONNEXCEPTION,ramdump_wcnss,ramdump_adsp,ramdump_venus</matchKeys>
      <intTimeType>0H00</intTimeType>
    </collector>
    <collector>
      <name>IvpCrashCollector</name>
      <eventID>901002006</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>IVPCRASH</matchKeys>
      <intTimeType>0G00</intTimeType>
    </collector>
    <collector>
      <name>IspCrashCollector</name>
      <eventID>901002007</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>ISPCRASH</matchKeys>
      <intTimeType>0F00</intTimeType>
    </collector>
    <collector>
      <name>NpuCrashCollector</name>
      <eventID>901002008</eventID>
      <dynamicPaths>$SUB_LOG_DIR/bbox_split_bin/NPU</dynamicPaths>
      <matchKeys>NPUEXCEPTION,NPU_S_EXCEPTION</matchKeys>
      <intTimeType>0I00</intTimeType>
    </collector>
    <collector>
      <name>DssCrashCollector</name>
      <eventID>901002009</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>DSSCRASH</matchKeys>
      <intTimeType>0J00</intTimeType>
    </collector>
    <collector>
      <name>ShutdownCollector</name>
      <eventID>908001009</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>SHUTDOWN</matchKeys>
    </collector>
  </collectors>
</collectorhub>
